Cbs için geliştirilmiş panorama kullanım aracı.

indirmek için:
 
    npm i cbs-panorama@1.0.3

Kullanım için:

    // ilk önce import edin
    import { Panorama } from 'cbs-panorama';

    // Parametreleri verip konfigürasyonunu yapın
    Panorama.ConfigurePanorama({
        iFrameElementId: 'panorama iframe element id',
        iFrameElementSrc: 'the source url for the iframe',
        panoramaContainerId: 'id of the container that contains the panorama and the related controls',
        closeButtonElementId: 'the close button element id, if it is not given panorama will not be closeable',
        closeMode: 'the mode of the close function "hide" only hides the panorama, "deload" closes and deloads the panorama',
        keyboardMoevable: 'true to enable keyboard movement, default false',
        clickableMap: 'true to open panorama on map click, default false',
        panoramaCheckBoxElementId: 'the checkbox that decides if a click opens panorama, default false',
        markerEneabled: 'true to enable view cone on map',
        viewConeImageUrl: 'the path of the view cone image'
	});

    // Maplibre/MapBox için konfigürasyonunu yapın
	Panorama.ConfigureMapLibreMap(map, maplibregl);